//StarCatV, Star Catalog Visualization Tool
// (C) 1999  Jim Campbell   jc@izzy.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU  General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//                                                                
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details. 
//                                      
// You should have received a copy of the GNU General Public License 
// along with this software (see COPYING); if not, write to the 
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


//	SCdlg.h:	Header for SCDialog class
//=======================================================================

#ifndef SCDIALOG_H
#define SCDIALOG_H
#include <v/vdialog.h>

    class SCCmdWindow;

    class SCDialog : public vDialog
      {
      public:		//---------------------------------------- public
	SCDialog(vBaseWindow* bw, char* title = "Info");
	virtual ~SCDialog();		// Destructor
	virtual void DialogCommand(ItemVal,ItemVal,CmdType); // action selected
	void AddDefaultCmds();		// to add the defined commands
	void DialogDisplayed();
	//###################
	void PostMess(char* msg);


	char message[510];

	//###################
      protected:	//--------------------------------------- protected

      private:		//--------------------------------------- private

	SCCmdWindow* _myCmdWin;
      };
#endif
