//StarCatV, Star Catalog Visualization Tool
// (C) 1999  Jim Campbell   jc@izzy.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU  General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//                                                                
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details. 
//                                      
// You should have received a copy of the GNU General Public License 
// along with this software (see COPYING); if not, write to the 
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


//	SCmdlg.h:	Header for SCModalDialog class
//=======================================================================

#ifndef TDDLG_H
#define TDDLG_H

//for cal_date functions
#include "Novas.h"

#include <v/vmodald.h>
//#include "SCcmdw.h"

    class SCCmdWindow;

	//was SCModalDialog
    class CTimeDatedlg : public vModalDialog
      {
      public:		//---------------------------------------- public

	Novas N; //novus routines


	CTimeDatedlg(vBaseWindow* bw, char* title = "Time Lapse");
	virtual ~CTimeDatedlg();		// Destructor
	virtual void DialogCommand(ItemVal,ItemVal,CmdType); // action selected
	virtual int SCAction(char* msg);
	 void DialogDisplayed();

	 //float dd_LocLat;
	 //float dd_LocLong;
	 float dg_Day;
	 double dg_Hour;	 
	 float dg_Month;
	 float dg_Year;
	 double dg_Min;
	 float dg_Int;

	 float dz_Day;
	 float dz_Hour;	 
	 float dz_Month;
	 float dz_Year;
	 float dz_Min;
	 float dz_Int;
	 int dd_TimeZoneIndex;
	 float dd_TimeZoneOffset;
	 char dd_TimeZoneLabel[10];

	

	 

	
      protected:	//--------------------------------------- protected

      private:		//--------------------------------------- private

	SCCmdWindow* _myCmdWin;
      };
#endif

